## fermisurfer 2.4.0

=== docs/ja/_build/latex/Makefile ===
# Makefile for Sphinx LaTeX output

ALLDOCS = $(basename $(wildcard *.tex))
ALLPDF = $(addsuffix .pdf,$(ALLDOCS))
ALLDVI = $(addsuffix .dvi,$(ALLDOCS))
ALLXDV =
ALLPS  = $(addsuffix .ps,$(ALLDOCS))

# Prefix for archive names
ARCHIVEPREFIX =
# Additional LaTeX options (passed via variables in latexmkrc/latexmkjarc file)
export LATEXOPTS ?=
# Additional latexmk options
LATEXMKOPTS ?=
# format: pdf or dvi (used only by archive targets)
FMT = pdf

# latexmkrc is read then overridden by latexmkjarc
LATEX = latexmk -r latexmkjarc -dvi
PDFLATEX = latexmk -r latexmkjarc -pdfdvi -dvi- -ps-


%.dvi: %.tex FORCE_MAKE
	$(LATEX) $(LATEXMKOPTS) '$<'

%.ps: %.dvi
	dvips '$<'

%.pdf: %.tex FORCE_MAKE
	$(PDFLATEX) $(LATEXMKOPTS) '$<'

all: $(ALLPDF)

all-dvi: $(ALLDVI)

all-ps: $(ALLPS)

all-pdf: $(ALLPDF)

zip: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	zip -q -r -9 $(ARCHIVEPREFIX)docs-$(FMT).zip $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

tar: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	tar cf $(ARCHIVEPREFIX)docs-$(FMT).tar $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

gz: tar
	gzip -9 < $(ARCHIVEPREFIX)docs-$(FMT).tar > $(ARCHIVEPREFIX)docs-$(FMT).tar.gz

bz2: tar
	bzip2 -9 -k $(ARCHIVEPREFIX)docs-$(FMT).tar

xz: tar
	xz -9 -k $(ARCHIVEPREFIX)docs-$(FMT).tar

clean:
	rm -f *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla *.ps *.tar *.tar.gz *.tar.bz2 *.tar.xz $(ALLPDF) $(ALLDVI) $(ALLXDV) *.fls *.fdb_latexmk

.PHONY: all all-pdf all-dvi all-ps clean zip tar gz bz2 xz
.PHONY: FORCE_MAKE

=== debian/changelog ===
fermisurfer (2.4.0-1) unstable; urgency=low

  * New upstream version 2.4.0

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 06 Feb 2024 18:05:46 +0900

fermisurfer (2.1.0-1) unstable; urgency=low

  * New upstream version 2.1.0

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Fri, 11 Mar 2022 00:00:23 +0900

fermisurfer (2.0.0-1) unstable; urgency=low

  * New upstream version 2.0.0

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Sun, 16 Feb 2020 16:24:43 +0900

fermisurfer (1.10.1-1) unstable; urgency=low

  * New upstream 1.10.1

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 19 Feb 2019 16:17:28 +0900

fermisurfer (1.10.0-1) unstable; urgency=low

  * Initial release for 1.10-0
  * Add wrapper as workaround for OpenGL initialization problem: OpenGL Warning: XGetVisualInfo returned 0 visuals for ...

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Mon, 18 Dec 2017 10:26:45 +0900

=== debian/control ===
Source: fermisurfer
Section: scientific
Priority: extra
Maintainer: Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, freeglut3-dev, libwxgtk3.2-dev
Standards-Version: 3.9.3
Homepage: https://mitsuaki1987.github.io/fermisurfer/

Package: fermisurfer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FermiSurfer: an application for visualization of Fermi surfaces. 
 This application displays Fermi surfaces colored as a function of an arbitrary
 scalar quantities such as magnitude of Fermi velocities and superconducting gap.
 It only requires a minimum set of data to draw Fermi surfaces. FermiSurfer
 provides a simple graphical user interface; the user can smoothly turn on/off
 the stereogram, nodal-lines, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_usrlocal:

override_dh_autoreconf:

%:
	dh $@
